## persalys 15.0%2Bds

=== lib/include/CMakeLists.txt ===

ot_add_current_dir_to_include_dirs ()

ot_install_header_file (PersalysPrivate.hxx)
ot_install_header_file (Persalys.hxx)
