=== debian/changelog ===
persalys (15.0+ds-3build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:18:29 +1100

persalys (15.0+ds-3build4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:22:11 +0000

persalys (15.0+ds-3build3) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:14:38 +0100

persalys (15.0+ds-3build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Jan 2024 09:02:21 +0000

persalys (15.0+ds-3build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:54:32 +0100

persalys (15.0+ds-3) unstable; urgency=medium

  * Removing one last problematic assertion, already replaced by a correct one,
    in the ProbabilisticModelWindow test (Closes: #1055050)

 -- Pierre Gruet <pgt@debian.org>  Fri, 10 Nov 2023 17:02:46 +0100

persalys (15.0+ds-2) unstable; urgency=medium

  * Testing the equality of distributions with assert_almost_equal

 -- Pierre Gruet <pgt@debian.org>  Fri, 10 Nov 2023 07:16:25 +0100

persalys (15.0+ds-1) experimental; urgency=medium

  * New upstream version 15.0+ds
  * Removing upstreamed patch
  * Adding versioned (build-)depends on openturns 1.21.1
  * Fixing the clean target (Closes: #1047830)
  * Refreshing d/copyright
  * Installing the now upstream-provided .desktop file
  * Installing the now upstream-provided Persalys icon
  * Fixing tiny spelling errors
  * Fixing locale in QtTools tests so that strings are correctly sorted
  * Fixing locale in Python DataModel test
  * Removing failing test after discussing with upstream

 -- Pierre Gruet <pgt@debian.org>  Tue, 31 Oct 2023 15:35:53 +0100
